!set title=Sum and product bis
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Gang Xiao
email=xiao@unice.fr
language=en

varcnt=11
prevarcnt=7
postvarcnt=3
replycnt=0
choicecnt=0
conditioncnt=1
feedbackcnt=0
format=html

val1=$imagedir

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

m_options=nofloat
m_methods=ineq/addterm, ineq/mulexp, ineq/divexp, ineq/exsides,	ineq/trans, ineq/constineq, ineq/addineq, ineq/mulineq,	ineq/sqrpos
m_minsteps=7
tmp0=!randint 100, 200

val2=$[rint($(tmp0))]
tmp0=!randint 50, 200

val3=$[rint(ceil($val2^2/4)+$(tmp0))]
tmp0=!randitem <,<=

val4=$(tmp0)
val5=<
val6=>
val7=-$val2 $val4 a + b
val8=a + b $val4 $val2
m_context=$val7	$val8	
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Let $m_a and $m_b be two integers such that	
!insmath -$val2 $val4 a + b $val4 $val2
$().	Prove	<p><center>	 
!insmath  a*b $val5 $val3 
$() .	</center> 	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:postdef
tmp0=!nospace $m_newobject

val9=$(tmp0)
val10=a*b
val11=b*a

!exit

:feedback

!exit

:test

!ifval $val9 iswordof $val10$val5$val3 $val11$val5$val3	 $val3$val6$val10 $val3$val6$val11	
 condtest1=1
!else
 condtest1=0
!endif
condname1=

!exit

:stat
vsavelist=2,3,4,5,6
embedcnt=0
